## net.i2p.i2ptunnel.socks
Class I2PSOCKSTunnel

    java.lang.Object
      net.i2p.i2ptunnel.I2PTunnelTask
          net.i2p.i2ptunnel.I2PTunnelClientBase
              net.i2p.i2ptunnel.socks.I2PSOCKSTunnel

All Implemented Interfaces:
  EventDispatcher, java.lang.Runnable

public class I2PSOCKSTunnel
extends I2PTunnelClientBase

Field Summary
`protected Destination` `outProxyDest`

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelClientBase
`_clientId, _context, dest, l, mySockets, PROP_MAX_WAIT_TIME, PROP_NUM_CONNECTION_BUILDERS, sockLock, sockMgr`

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`open`

Constructor Summary
`I2PSOCKSTunnel(int localPort, Logging l, boolean ownDest, EventDispatcher notifyThis, I2PTunnel tunnel)`

Method Summary
`protected void` `clientConnectionRun(java.net.Socket s)` Manage a connection in a separate thread.

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelClientBase
`buildSocketManager, buildSocketManager, close, closeSocket, createI2PSocket, createI2PSocket, getDefaultOptions, getDefaultOptions, getListenHost, getLocalPort, getSocketManager, getSocketManager, manageConnection, run, startRunning`

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`attachEventDispatcher, detachEventDispatcher, disconnected, errorOccurred, getEventDispatcher, getEvents, getEventValue, getId, getTunnel, ignoreEvents, isOpen, notifyEvent, reportAbuse, routerDisconnected, setId, setName, setTunnel, toString, unIgnoreEvents, waitEventValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### outProxyDest

    protected Destination outProxyDest

Constructor Detail

### I2PSOCKSTunnel

    public I2PSOCKSTunnel(int localPort,
                          Logging l,
                          boolean ownDest,
                          EventDispatcher notifyThis,
                          I2PTunnel tunnel)

Method Detail

### clientConnectionRun

    protected void clientConnectionRun(java.net.Socket s)

  Description copied from class: `I2PTunnelClientBase`
  Manage a connection in a separate thread. This only works if you do not override manageConnection()

  Specified by:
    `clientConnectionRun` in class `I2PTunnelClientBase`